%define shortname simplejson

# we don't want to provide private python extension libs
%global __provides_exclude_from %{python3_sitearch}/.*\\.so

Name:           python-%{shortname}
Version:        3.17.6
Release:        %mkrel 1
Summary:        Simple, fast, extensible JSON encoder/decoder for Python
Group:          Development/Python
License:        MIT
URL:            http://undefined.org/python/#simplejson
Source0:        https://github.com/simplejson/simplejson/releases/download/v%{version}/%{shortname}-%{version}.tar.xz

%description
simplejson is a simple, fast, complete, correct and extensible JSON
(http://json.org) encoder and decoder for Python 2.3+. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.

simplejson was formerly known as simple_json, but changed its name to comply
with PEP 8 module naming guidelines.

The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).

The decoder can handle incoming JSON strings of any specified encoding (UTF-8
by default).

%package -n python3-simplejson
Summary:        Simple, fast, extensible JSON encoder/decoder for Python3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{shortname}}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-sphinx
BuildRequires: python3-sphinx_rtd_theme

%description -n python3-simplejson
simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python3.3+ It is pure
Python code with no dependencies, but includes an optional C extension for a
serious speed boost.

%prep
%setup -q -n %{shortname}-%{version}

%build
%py3_build

%{__python3} ./scripts/make_docs.py

%install
rm docs/.buildinfo
rm docs/.nojekyll
%py3_install


%files -n python3-simplejson
%doc LICENSE.txt
%{python3_sitearch}/*


%changelog
* Tue Aug 02 2022 TerryN <terryn94 at gmail.com> 3.17.6-1pclos2022
- update and rebuild for python 3.10

* Mon Jan 07 2019 tes 3.16.1-1pclos2019
- 3.16.1
